#include "Ultrasonic.h"
Ultrasonic ultrasonic(11,10);

//driver motor
int motorA = 6;
int motorB = 7;
int enablePin = 8;
//turning motor
int motorC = 3;
int motorD = 4;
int enablePin2 = 5;

void setup()
{
 pinMode(motorA, OUTPUT);
 pinMode(motorB, OUTPUT);
 digitalWrite(enablePin, HIGH);
 
 pinMode(motorC, OUTPUT);
 pinMode(motorD, OUTPUT);
 digitalWrite(enablePin2, HIGH);
}
//driving method
int motorFoward()
{
  analogWrite(enablePin, 190);
  digitalWrite(motorA, LOW);
  digitalWrite(motorB, HIGH);
}
int motorBackward()
{
  analogWrite(enablePin, 190);
  digitalWrite(motorA, HIGH);
  digitalWrite(motorB, LOW);
}
int motorStop()
{
 analogWrite(enablePin, 0);
 digitalWrite(motorA, LOW);
 digitalWrite(motorB, LOW); 
}
//turning method
int motorLeft()
{
  analogWrite(enablePin2, 250);
  digitalWrite(motorC, LOW);
  digitalWrite(motorD, HIGH);
}
int motorRight()
{
 analogWrite(enablePin2, 250);
 digitalWrite(motorC, HIGH);
 digitalWrite(motorD, LOW);
}
int motorFront()
{
 analogWrite(enablePin2, 0);
 digitalWrite(motorC, LOW);
 digitalWrite(motorD, LOW); 
}

void loop()
{
  if (ultrasonic.Ranging(CM) > 13)
  {
  motorFoward();
  }
  if (ultrasonic.Ranging(CM) < 13)
  {
    motorStop();
    delay(150);
    motorRight();
    motorBackward();
    delay(350);
    if (ultrasonic.Ranging(CM) > 13)
    {
      motorStop();
      motorLeft(); 
      motorFoward();
      delay(450);
      motorFront();
    }
  }
}
